## prody 2.3.1%2Bdfsg

=== debian/tests/control ===
Test-Command: cd /usr/lib/python3/dist-packages/prody && pytest-3 -k 'not testPCACommand'
Depends:
 python3-pytest,
 @,
Architecture: !s390x

## prody 2.3.1+dfsg

=== docs/requirements.txt ===
matplotlib
ipython
numpy
mock

=== debian/changelog ===
prody (2.3.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix test failure with Numpy 1.24 (Closes: #1027233).
    Thanks Sebastiaan Couwenberg.

 -- Andrius Merkys <merkys@debian.org>  Thu, 12 Jan 2023 06:08:16 -0500

prody (2.3.1+dfsg-2) unstable; urgency=medium

  * python3-prody-tests: add missing Breaks+Replaces: python3-prody (<< 2.3.1)
    (Closes: #1025390)

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Dec 2022 02:32:42 -0500

prody (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.1+dfsg
  * Drop no longer existing docs/_workdir from Files-Excluded.
  * Fix issue with non-copied test files.
  * Add forward address for add-missing-test-files.patch.
  * Adjust support for all Python versions.

 -- Andrius Merkys <merkys@debian.org>  Thu, 01 Dec 2022 08:16:28 -0500

prody (2.2.0+dfsg-3) unstable; urgency=medium

  * Do not run autopkgtest on s390x (not built on s390x due to FTBFS).

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Oct 2022 03:07:01 -0400

prody (2.2.0+dfsg-2) unstable; urgency=medium

  * Forbid network access for two more tests (Closes: #1021286).
  * Describe no-network-access.patch.

 -- Andrius Merkys <merkys@debian.org>  Wed, 05 Oct 2022 02:44:14 -0400

prody (2.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1016888)

 -- Andrius Merkys <merkys@debian.org>  Sat, 06 Aug 2022 07:12:57 -0400

=== debian/control ===
Source: prody
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-biopython <!nocheck>,
 python3-numpy,
 python3-pyparsing <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/prody/ProDy
Vcs-Browser: https://salsa.debian.org/debichem-team/prody
Vcs-Git: https://salsa.debian.org/debichem-team/prody.git

Package: python3-prody
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: Python package for protein dynamics analysis
 ProDy is a free and open-source Python package for protein structure, dynamics,
 and sequence analysis. It allows for comparative analysis and modeling of
 protein structural dynamics and sequence co-evolution. Fast and flexible ProDy
 API is for interactive usage as well as application development. ProDy also
 comes with several analysis applications and a graphical user interface for
 visual analysis.

Package: python3-prody-tests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-prody (<< 2.3.1),
Replaces:
 python3-prody (<< 2.3.1),
X-Python3-Version: ${python3:Versions}
Description: Python package for protein dynamics analysis - test data
 ProDy is a free and open-source Python package for protein structure, dynamics,
 and sequence analysis. It allows for comparative analysis and modeling of
 protein structural dynamics and sequence co-evolution. Fast and flexible ProDy
 API is for interactive usage as well as application development. ProDy also
 comes with several analysis applications and a graphical user interface for
 visual analysis.
 .
 This package contains the test data for python3-prody.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/prody/ProDy/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## prody 2.4.1+dfsg

=== Makefile ===
# Makefile for some developer commands

REPOPATH = `pwd`

.PHONY: help build build3 remove test

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  build		to build extensions in place"
	@echo "  remove 	to remove contributed modules"
	@echo "  test		to clone, build and test"

build2:
	python2 setup.py build_ext --inplace --force

build:
	python setup.py build_ext --inplace --force

build3:
	python3 setup.py build_ext --inplace --force

remove:
	rm -f prody/kdtree/*c
	rm -f prody/atomic/pyparsing*py
	rm -f prody/apps/argparse.py

test:
	TMPDIR=`mktemp -d`; REPOPATH=`pwd`; echo $$TMPDIR; cd $$TMPDIR; \
	git clone $$REPOPATH; cd ProDy; \
	python setup.py build_ext --inplace --force; \
	export PYTHONPATH=$$TMPDIR/ProDy/; \
	nosetests prody -a '!slow'; \
	rm -rf $$TMPDIR

=== docs/Makefile ===
# Makefile for ProDy Documentation

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = letter
BUILD         = _build
HTML          = $(BUILD)/html
LATEX         = $(BUILD)/latex
WORKDIR       = _workdir
PDFNAME       = ProDy.pdf
PDFPATH       = $(LATEX)/$(PDFNAME)

.PHONY: help clean remove html pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make HTML files of reference manual "
	@echo "  pdf	    to make PDF files of reference manual"
	@echo "  build	    to make HTML and PDF files, and copy PDF into HTML folder"

clean:
	-rm -rf $(BUILD)/*

remove:
	-rm -rf $(HTML)/* $(LATEX)/*


workdir:
	mkdir -p $(WORKDIR)

html: workdir
	cd $(WORKDIR); $(SPHINXBUILD) -b html -d ../$(BUILD)/doctrees ../ ../$(HTML)
	@echo
	@echo "Build finished. The HTML pages are in $(BUILD)/html."

pdf: workdir
	cd $(WORKDIR); $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) -d ../$(BUILD)/doctrees ../ ../$(LATEX)
	make -C $(BUILD)/latex all-pdf
	@echo
	@echo "PDF file is ready, see $(PDFPATH)."

build: html pdf
	mv -f $(PDFPATH) $(HTML)/$(PDFNAME)

=== debian/changelog ===
prody (2.4.1+dfsg-2) unstable; urgency=medium

  * Skip test with equals on a vector (Closes: #1028722). Thanks Santiago Vila.
  * Update manpages.

 -- Andrius Merkys <merkys@debian.org>  Tue, 13 Feb 2024 02:16:27 -0500

prody (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.1+dfsg
  * Exclude *.bat files.
  * Bump copyright years.
  * Update standards version to 4.6.2, no changes needed.
  * Adjust debian/watch to recognize release candidates.
  * Resolve biopython incompatibility by partially applying upstream patch from
    PR#1816 (Closes: #1053865)
  * Add license paragraph for prody/dynamics/editing.py.
  * Switch to 'Testsuite: autopkgtest-pkg-pybuild'.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Feb 2024 02:30:45 -0500

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,12 @@
  python3-pyparsing <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+ python3-zombie-imp <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/prody/ProDy
 Vcs-Browser: https://salsa.debian.org/debichem-team/prody
 Vcs-Git: https://salsa.debian.org/debichem-team/prody.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-prody
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = prody

%:
	dh $@ --buildsystem pybuild --with numpy3,python3

override_dh_install:
	for VERSION in $$(py3versions --supported); \
	do \
		mkdir --parents debian/python3-prody-tests/usr/lib/$${VERSION}/dist-packages/prody; \
		mv debian/python3-prody/usr/lib/$${VERSION}/dist-packages/prody/tests debian/python3-prody-tests/usr/lib/$${VERSION}/dist-packages/prody; \
	done
	dh_install

execute_after_dh_auto_clean:
	rm -rf ProDy.egg-info

# Manpage generation is supposed to be run manually after the binary
# package has been built and installed on the system.

debian/evol.1:
	help2man evol --no-info --name 'Sequence Evolution and Dynamics Analysis' > $@

debian/prody.1:
	help2man prody --no-info --name 'Python Package for Protein Dynamics Analysis' > $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/(\d)rc$/$1~rc/" \
 https://github.com/prody/ProDy/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## prody 2.6.1+dfsg

=== debian/changelog ===
prody (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.1+dfsg (Closes: #1058454, #1071807, #1114707)
  * Adjust debian/watch to mangle numbered release candidates.
  * Exclude prody/proteins/hpbmodule/hpb_Python* with prebuilt shared
    libraries.

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Nov 2025 06:44:43 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,21 @@
  Andrius Merkys <merkys@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
+ clustalw <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-biopython <!nocheck>,
+ python3-mmtf <!nocheck>,
  python3-numpy,
+ python3-numpy-dev,
+ python3-openmm <!nocheck>,
+ python3-pdbfixer <!nocheck>,
  python3-pyparsing <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
+ python3-sklearn <!nocheck>,
  python3-zombie-imp <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/prody/ProDy

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,18 @@
 
 export PYBUILD_NAME = prody
 
+export PYBUILD_BEFORE_TEST = cp -r prody/tests/datafiles/* {build_dir}/prody/tests/datafiles
+export PYBUILD_AFTER_TEST = rm {build_dir}/Unknown.* {build_dir}/test_3o21_disu.npy
+
 %:
 	dh $@ --buildsystem pybuild --with numpy3,python3
 
-override_dh_install:
+execute_before_dh_install:
 	for VERSION in $$(py3versions --supported); \
 	do \
 		mkdir --parents debian/python3-prody-tests/usr/lib/$${VERSION}/dist-packages/prody; \
 		mv debian/python3-prody/usr/lib/$${VERSION}/dist-packages/prody/tests debian/python3-prody-tests/usr/lib/$${VERSION}/dist-packages/prody; \
 	done
-	dh_install
 
 execute_after_dh_auto_clean:
 	rm -rf ProDy.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/(\d)rc/$1~rc/" \
 https://github.com/prody/ProDy/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
